# OnnxRuntime: Ort::KernelContext Struct Reference

Loading...
Searching...
No Matches
Ort::KernelContext Struct Reference

This class wraps a raw pointer OrtKernelContext* that is being passed to the custom kernel Compute() method. Use it to safely access context attributes, input and output parameters with exception safety guarantees. See usage example in onnxruntime/test/testdata/custom_op_library/custom_op_library.cc. More...

`#include <onnxruntime_cxx_api.h>`

## Public Member Functions

| KernelContext (OrtKernelContext *context)
size_t | GetInputCount () const
size_t | GetOutputCount () const
ConstValue | GetInput (size_t index) const
UnownedValue | GetOutput (size_t index, const int64_t *dim_values, size_t dim_count) const
UnownedValue | GetOutput (size_t index, const std::vector< int64_t > &dims) const
void * | GetGPUComputeStream () const

## Detailed Description

This class wraps a raw pointer OrtKernelContext* that is being passed to the custom kernel Compute() method. Use it to safely access context attributes, input and output parameters with exception safety guarantees. See usage example in onnxruntime/test/testdata/custom_op_library/custom_op_library.cc.

## Constructor & Destructor Documentation

## KernelContext()

Ort::KernelContext::KernelContext | ( | OrtKernelContext * | context | ) |

explicit

## Member Function Documentation

## GetGPUComputeStream()

void * Ort::KernelContext::GetGPUComputeStream | ( |  | ) | const

## GetInput()

ConstValue Ort::KernelContext::GetInput | ( | size_t | index | ) | const

## GetInputCount()

size_t Ort::KernelContext::GetInputCount | ( |  | ) | const

## GetOutput() [1/2]

UnownedValue Ort::KernelContext::GetOutput | ( | size_t | index,
|  | const int64_t * | dim_values,
|  | size_t | dim_count
| ) |  | const

## GetOutput() [2/2]

UnownedValue Ort::KernelContext::GetOutput | ( | size_t | index,
|  | const std::vector< int64_t > & | dims
| ) |  | const

## GetOutputCount()

size_t Ort::KernelContext::GetOutputCount | ( |  | ) | const